Summary:	Utility for converting text between multiple character sets
Summary(pl.UTF-8):	Uniwersalny konwerter między zestawami znaków
Name:		recode
Version:	3.6
Release:	7
License:	LGPL v2+ (library), GPL v2+ (utility)
Group:		Applications/Text
# for future releases (3.7/4.0) see https://github.com/pinard/Recode/
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	be3f40ad2e93dae5cd5f628264bf1877
Patch0:		%{name}-info.patch
Patch1:		%{name}-use_malloc_realloc.patch
Patch2:		%{name}-am.patch
Patch3:		%{name}-hash-nameconflict.patch
Patch4:		%{name}-ac25x.patch
Patch5:		%{name}-el.po-no0xD2.patch
Patch6:		%{name}-pl.po-update.patch
Patch7:		%{name}-debian-11.patch
Patch8:		%{name}-gcc4_3.patch
Patch9:		%{name}-bool.patch
Patch10:	%{name}-ac.patch
Patch11:	%{name}-format.patch
URL:		http://recode.progiciels-bpi.ca/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	texinfo
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Free `recode' converts files between various character sets and
surfaces. It supports more than 200 different character sets and
surfaces, including well known ISO-8859, CP-XXXX and Unicode.

%description -l pl.UTF-8
Program `recode' konwertuje pliki pomiędzy różnymi zestawami znaków i
kodowaniami. Obsługuje ponad 200 różnych zestawów znaków oraz sposobów
kodowania, włącznie z popularnymi ISO-8859, CP-XXXX oraz Unicode.

%package devel
Summary:	Header files and documentations for librecode
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do librecode
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and documentations for librecode.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do librecode.

%package static
Summary:	Static librecode library
Summary(pl.UTF-8):	Biblioteka statyczna librecode
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static librecode library.

%description static -l pl.UTF-8
Biblioteka statyczna librecode.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

# duplicate of m4/*.m4 files
%{__rm} acinclude.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS BACKLOG README THANKS TODO
%attr(755,root,root) %{_bindir}/recode
%attr(755,root,root) %{_libdir}/librecode.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librecode.so.0
%{_infodir}/recode.info*
%{_mandir}/man1/recode.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librecode.so
%{_libdir}/librecode.la
%{_includedir}/recode.h
%{_includedir}/recodext.h

%files static
%defattr(644,root,root,755)
%{_libdir}/librecode.a
%changelog
* Sun Oct 21 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/recode.git;a=log;h=master

* Sun Oct 21 2012 Jakub Bogusz <qboosh@pld-linux.org> f459679
- added format patch to workaround -Werror=format-security false positive

* Sun Oct 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 8597275
- added bool patch to fix recode headers usage with recent gcc (include <stdbool.h>)
- added ac patch to fix build with recent ac/am
- release 7

* Tue Mar 17 2009 Jacek Konieczny <jajcus@pld-linux.org> cf0b757
- GCC 4.3.x compatibility patch added

* Tue Mar 17 2009 Jacek Konieczny <jajcus@pld-linux.org> 4afe04f
- GCC 4.3.x compatibility patch for recode

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 2cc20d7
- unify ftp.gnu.org urls

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 2ddb46b
- rel 6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 155a77a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6d4ec1f
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> bdec4b7
- avoid defining default %attr

* Mon Feb 13 2006 Paweł Sikora <pluto@pld-linux.org> 4bb8e5b
- few fixes from debian, release 5.

* Mon Feb 13 2006 Paweł Sikora <pluto@pld-linux.org> 9540e66
- few fixes from debian.

* Tue May 03 2005 Mariusz Mazur <mmazur@pld-linux.org> 57349cf
- rel 4; builds

* Tue May 03 2005 Paweł Sikora <pluto@pld-linux.org> dd64cab
- release 3 for Th.

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 1b855d7
- BR: texinfo

* Sat Sep 25 2004 radek <radek@pld-linux.org> dc4b36c
- cosmetics (spaces -> tabs)

* Thu Aug 05 2004 grzegol <grzegol@pld-linux.org> 75c934a
- strict internal deps

* Mon Nov 24 2003 averne <averne@pld-linux.org> 44f18c6
- updated release

* Fri Jun 06 2003 ankry <ankry@pld-linux.org> 2ea0637
- cosmetics

* Sun May 25 2003 Michal Moskal <michal@moskal.me> f8d2a9b
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9d6b749
- massive attack s/pld.org.pl/pld-linux.org/

